com.jscape.inet.ssh.protocol.v2.authentication

## Class NoneClientAuthentication

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication
  - - com.jscape.inet.ssh.protocol.v2.authentication.NoneClientAuthentication

- All Implemented Interfaces:
    com.jscape.inet.ssh.protocol.messages.Message.HandlerBase, ClientAuthentication, com.jscape.inet.ssh.protocol.v2.messages.SshMsgUserAuthBanner.Handler

      public class NoneClientAuthentication
      extends com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication

  Represents a SSH 'none' authentication operation.
  Author:
    Alex Usun

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.ssh.protocol.v2.authentication.ClientAuthentication

      `ClientAuthentication.InvalidCredentialsException, ClientAuthentication.PartialSuccessException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoneClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory, java.lang.String username)` Creates a new operation instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(com.jscape.inet.ssh.protocol.v2.transport.TransportConnection connection, java.lang.String serviceName)` Performs actual client authentication.
    `static NoneClientAuthentication` | `defaultAuthentication(java.lang.String username)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication

      `banner, bannerLanguageTag, handle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoneClientAuthentication

          public NoneClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory,
                                          java.lang.String username)

      Creates a new operation instance.
      Parameters:
        `username` - an username

  - ### Method Detail

    - #### defaultAuthentication

          public static NoneClientAuthentication defaultAuthentication(java.lang.String username)

    - #### applyTo

          public void applyTo(com.jscape.inet.ssh.protocol.v2.transport.TransportConnection connection,
                              java.lang.String serviceName)
                       throws java.lang.Exception

      Description copied from interface: `ClientAuthentication`
      Performs actual client authentication.
      Parameters:
        `connection` - SSH transport connection
        `serviceName` - target service name
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved